%define ver 21.5
%define version 0.21.5.1
%define release 4mdk

Summary: The boot loader for Linux and other operating systems.
Name: lilo
Version: %{version}
Release: %{release}
Serial: 1
Copyright: MIT
Group: System/Kernel and hardware
Source: ftp://metalab.unc.edu/pub/Linux/system/boot/lilo/lilo-%{ver}.tar.bz2
#ftp://sd.dynhost.com/pub/linux/lilo/lilo-22.tar.bz2
#Source: ftp://lrcftp.epfl.ch/pub/linux/local/lilo/
Patch0: lilo-keytab.patch.bz2
# for broken 2.4 headers
Patch5: lilo-0.21-broken.patch
Patch6: lilo-21.4.4-sa5300.patch
# fix a segfault
Patch7: lilo-21.4.4-boot.patch
Patch8: lilo-21.4.4-i2o.patch
Patch9: lilo-21.5-unsafe-and-default-table.patch
Packager: Pixel <pixel@mandrakesoft.com>
BuildRequires: /usr/bin/latex /usr/bin/dvips dev86
Exclusivearch: %{ix86}
Buildroot: %{_tmppath}/lilo-root

%package doc
Summary: more doc for %{name}
Group: System/Kernel and hardware

%description
LILO (LInux LOader) is a basic system program which boots your Linux
system.  LILO loads the Linux kernel from a floppy or a hard drive, boots
the kernel and passes control of the system to the kernel.  LILO can also
boot other operating systems.

%description doc
cf %{name} package

%prep
%setup -q -n lilo-%{ver}
%patch0 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1

bzip2 -9 README*

%build
perl -p -i -e "s/-Wall -g/$RPM_OPT_FLAGS/" Makefile
make
cd doc
make CFLAGS="$RPM_OPT_FLAGS"
dvips user.dvi -o User_Guide.ps
dvips tech.dvi -o Technical_Guide.ps
rm -f *.aux *.log *.toc

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
make install ROOT=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_bindir}
mv $RPM_BUILD_ROOT/usr/sbin/* $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f /etc/lilo.conf ]; then
  if [ -x /usr/sbin/detectloader ]; then
    LOADER=$(/usr/sbin/detectloader)
    if [ "$LOADER" = "LILO" ]; then
      /sbin/lilo > /dev/null
    fi
  fi
fi

%files
%defattr(-,root,root)
%doc README* CHANGES COPYING INCOMPAT QuickInst 
/boot/*
/sbin/*
%{_bindir}/*

%files doc
%defattr(-,root,root)
%doc doc/*.ps

%changelog
* Fri Sep 29 2000 Pixel <pixel@mandrakesoft.com> 0.21.5.1-4mdk
- fix keytab-lilo so that keycodes > 59 are not taken into account. -> fix the
'.' giving '<' on french keyboard (should not break anything...)

* Mon Sep 25 2000 Pixel <pixel@mandrakesoft.com> 0.21.5.1-3mdk
- merge in redhat's patches
  - fix up "unsafe" <johnsonm@redhat.com>
  - add i2o boot support <johnsonm@redhat.com>
  - patches for Compaqs SA5300 controller <karsten@redhat.de>
  - add bug-fix to not have lilo core-dump on some config files <Florian.LaRoche@redhat.com>
  - work around broken 2.4 kernel headers <pbrown@redhat.com>

* Tue Aug 29 2000 Pixel <pixel@mandrakesoft.com> 0.21.5.1-2mdk
- added requires dev86

* Sun Aug 27 2000 Pixel <pixel@mandrakesoft.com> 0.21.5.1-1mdk
- new version

* Wed Jul 19 2000 Pixel <pixel@mandrakesoft.com> 0.21.5-1mdk
- new version

* Wed Jul 19 2000 Pixel <pixel@mandrakesoft.com> 0.21.4.4-2mdk
- use detectloader in %%post to know wether to call lilo or not
- BM

* Mon Jun 12 2000 Pixel <pixel@mandrakesoft.com> 0.21.4.4-1mdk
- new version

* Mon May  8 2000 Pixel <pixel@mandrakesoft.com> 0.21.4.3-1mdk
- new version (RAID patches)

* Thu Apr 27 2000 Pixel <pixel@mandrakesoft.com> 0.21.4.2-2mdk
- new version

* Sat Mar 25 2000 Pixel <pixel@mandrakesoft.com> 0.21.4-1mdk
- bzip'ed README
- separated postscript doc
- really is 21-4 (serial added)

* Wed Feb 23 2000 Pixel <pixel@mandrakesoft.com> 0.22-19mdk
- Really is 0.22 (non <<official>> version with EDD enabled)
  (EDD means no more 1024 cylinder problem)

* Fri Feb 18 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.22-18mdk
- Silly me reuploading and upgrade the ChangeLog.

* Wed Feb 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.22-17mdk
- Add loopdev and second patch (r).

* Tue Oct 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Remove the EBDA patch from zab and put in the EBDA patch
  from the VA Research RPM.  This fixes the EBDA issues.(r)
- Added ONE_SHOT to the compile options so that the lilo
  prompt won't timeout once you hit a key at the boot prompt(r)

* Wed Sep 22 1999 Pixel <pixel@mandrakesoft.com>
- added defattr (no comment)

* Tue Sep 21 1999 Pixel <pixel@mandrakesoft.com>
- patched keytab-lilo.pl (again!) to make it work (better) (changed a regexp)

* Sun Sep 19 1999 Pixel <pixel@mandrakesoft.com>
- added -DONE_SHOT to patch lilo-ebda (that way timeout is disabled as soon as a
  key is pressed)
- patched keytab-lilo.pl to make it work (removed bad suffix .map)

* Sun Aug 22 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Add the patch to boot on Compaq Smart Array 3200.

* Wed Jul 21 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- recommend manual lilo installation if post fails

* Mon Jul 19 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- added turkish description

* Mon Jul 19 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- Add french description from Gregus <gregus@etudiant.net>

* Wed Jun 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Use the ebda patch from VA-Research.

* Thu Jun 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Use -DIGNORECASE -DVARSETUP -DREWRITE_TABLE -DLCF_LARGE_EBDA
  -DLARGE_EBDA by default. LARGE_EBDA is needed for some SMP systems.

* Mon Apr 12 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add patch for Mandrake-6.0.
- Add keyab-lilo.pl to the file-list

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale
- handle RPM_OPT_FLAGS

* Sun Dec  6 1998 Matt Wilson <msw@redhat.com>
- updated to release 0.21
- patched to build on 2.1.x kernels

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- updated to release 0.20
- uses a build root

* Tue Jul 08 1997 Erik Troan <ewt@redhat.com>
- built against glibc
